Individual Enrollment - Delete
Delete a device enrollment record.
DELETE https://{dpsName}.azure-devices-provisioning.net/enrollments/{id}?api-version=2021-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dps
|
path | True |
string |
The DPS instance hostname. |
|
id
|
path | True |
string |
This id is used to uniquely identify a device registration of an enrollment. A case-insensitive string (up to 128 characters long) of alphanumeric characters plus certain special characters : . _ -. No special characters allowed at start or end. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
|
| If-Match |
string |
The ETag of the enrollment record. |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content |
There is no content to send for this request, but the headers may be useful. |
|
| Other Status Codes |
An unexpected error response. Headers x-ms-error-code: string |
Security
Authorization
Type:
apiKey
In:
header
Examples
|
Individual |
|
Individual |
IndividualEnrollment_Delete_MaximumSet_Gen
Sample request
DELETE https://{dpsName}.azure-devices-provisioning.net/enrollments/fvqmybrkz?api-version=2021-10-01
Sample response
IndividualEnrollment_Delete_MinimumSet_Gen
Sample request
DELETE https://{dpsName}.azure-devices-provisioning.net/enrollments/rkbzatkwyezbueeuypue?api-version=2021-10-01
Sample response
Definitions
ProvisioningServiceErrorDetails
Contains the properties of an error returned by the Azure IoT Hub Provisioning Service.
| Name | Type | Description |
|---|---|---|
| errorCode |
integer (int32) |
Error code for the operation. |
| info |
object |
Dictionary of <string> |
| message |
string |
Human-readable error message. |
| timestampUtc |
string (date-time) |
UTC timestamp of the error. |
| trackingId |
string |
Tracking ID for the error. |